jQuery(document).ready(function($){
	
	/*CLEAN REPORTE DE PELICULA*/
    $('.clean-report').on('click', function(event) {
        event.preventDefault();
        var $this = $(this);
        var id = $(this).data('id');
        $.ajax({
            url     : erozAdmin.url,
            method  : 'POST',
            dataType: 'json',
            data    : {
                action      : 'action_eroz_clean_report',
                nonce       : erozAdmin.nonce,
                id          : id
            }, 
            success: function( data ) {
                $this.parent().parent().remove();
            }
        });
    });


    /*LICENSE ACTIVE*/
    $('#form-eroz-license').on('submit', function(event) {
        event.preventDefault();
        $('#license-serie').removeClass('val-no');
        var license = $('#license-serie').val();

        if(license == ''){
            $('#license-serie').addClass('val-no');
            return;
        }

        var spin = '';
        spin += '<span class="dashicons dashicons-update wp-ui-text-highlight spin"></span>';
        $('#form-eroz-license button').append(spin);

        $.ajax({
            url     : erozAdmin.url,
            method     : 'POST',
            dataType   : 'json',
            data     : {
                action      : 'action_activate_license',
                nonce       : erozAdmin.nonce,
                license     : license
            }, 
            success: function( data ) {
                console.log( data );
                $('.spin').remove();
                $('.licence-bx-ok').remove();
                $('.licence-bx-no').remove();
                var html = '';
                if(data.resultado == 'valid') {
                    html += '<p class="licence-bx-ok">';
                    html += '<span class="dashicons dashicons-yes"></span> Your license is connected with ToroThemes.com';
                    html += '</p>';
                } else {
                    html += '<p class="licence-bx-no">';
                    html += '<span class="dashicons dashicons-no-alt"></span> Your license is incorrect';
                    html += '</p>';
                }

                setTimeout(function() {
                    $(".licence-bx-no").fadeOut(1500);
                },2000);

                $('#form-eroz-license').prepend(html);
            }
        });
    });



    /*SAVE METABOX MANAGER THEME*/
    $('body').on('click', '#save_metabox_manager',function(event) {
        event.preventDefault();
        $('.error-metabox').remove();
        var meta_video = $('#metabox_video_manager').val();
        var meta_duration = $('#metabox_duration_manager').val();
        if(!meta_video) {
            $('#metabox_video_manager').parent().append('<div class="error-metabox">Este campo no peude quedar vacio</div>');
            return;
        }
        if(!meta_duration) {
            $('#metabox_duration_manager').parent().append('<div class="error-metabox">Este campo no peude quedar vacio</div>');
            return;
        }
        $.ajax({
            url     : erozAdmin.url,
            method  : 'POST',
            dataType: 'json',
            data    : {
                action      : 'action_eroz_save_metabox',
                nonce       : erozAdmin.nonce,
                meta_video  : meta_video,
                meta_duration  : meta_duration
            }, 
            success: function( data ) {
                console.log('correcto');
            }
        });
    });

	
})