<?php



/* Torothemes class

========================================================

*/

if(!class_exists('Torothemes')){

	get_template_part('includes/torothemes/class');

}



/* Theme Updater

========================================================

*/

new Torothemes(

	// Main data

	$config = array(

		'item_name'		 => 'eroz',

		'theme_slug'	 => get_template(),

		'version'		 => '1.0',

		'author'		 => 'Toro',

		'download_id'	 => '1635',

        'remote_api_url' => 'https://torothemes.com',

		'renew_url'		 => 'https://torothemes.com'

	),



    // Texts

    $strings = array(

        'theme-license'             =>  __('license'),

        'enter-key'                 => __('Enter your theme license key.'),

        'license-key'               => __('License Key'),

        'license-action'            => __('License Action'),

        'deactivate-license'        => __('Deactivate License'),

        'activate-license'          => __('Activate License'),

        'status-unknown'            => __('License status is unknown.'),

        'renew'                     => __('Renew?'),

        'unlimited'                 => __('unlimited'),

        'license-key-is-active'     => __('License key is active'),

        'expires%s'                 => __('since %s.'),

        '%1$s/%2$-sites'            => __('You have %1$s / %2$s sites activated.'),

        'license-key-expired-%s'    => __('License key expired %s.'),

        'license-key-expired'       => __('License key has expired.'),

        'license-keys-do-not-match' => __('License keys do not match.'),

        'license-is-inactive'       => __('License is inactive.'),

        'license-key-is-disabled'   => __('License key is disabled.'),

        'site-is-inactive'          => __('Please activate a valid license.'),

        'license-status-unknown'    => __('License status is unknown.'),

        'update-notice'             => __('Updating this theme will lose any customizations you have made. \'Cancel\' to stop, \'OK\' to update.'),

        'update-available'          => __('<strong>%1$s %2$s</strong> is available. <a href="%3$s" class="thickbox" title="%4s">Check out what\'s new</a> or <a href="%5$s"%6$s>update now</a>.')

    )

);